net.corda.node.services.api

## Interface AcceptsFileUpload

- All Superinterfaces:
    FileUploader
  All Known Implementing Classes:
    NodeAttachmentService

      public AcceptsFileUpload
      extends FileUploader

  A service that implements AcceptsFileUpload can have new binary data provided to it via an HTTP upload.

  TODO: In future, also accept uploads over the MQ interface too.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AcceptsFileUpload.DefaultImpls` A service that implements AcceptsFileUpload can have new binary data provided to it via an HTTP upload.

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accepts(java.lang.String prefix)` Check if this service accepts this type of upload. For example if you are uploading interest rates this could be "my-service-interest-rates". Type here does not refer to file extentions or MIME types.
    `java.util.List<java.lang.String>` | `getAcceptableFileExtensions()` What file extensions are acceptable for the file to be handed to upload()
    `java.lang.String` | `getDataTypePrefix()` A string that prefixes the URLs, e.g. "attachments" or "interest-rates". Should be OK for URLs.

    - ### Methods inherited from interface net.corda.core.node.services.FileUploader

      `accepts, upload`

- - ### Method Detail

    - #### getDataTypePrefix

          java.lang.String getDataTypePrefix()

      A string that prefixes the URLs, e.g. "attachments" or "interest-rates". Should be OK for URLs.

    - #### getAcceptableFileExtensions

          java.util.List<java.lang.String> getAcceptableFileExtensions()

      What file extensions are acceptable for the file to be handed to upload()

    - #### accepts

          boolean accepts(java.lang.String prefix)

      Check if this service accepts this type of upload. For example if you are uploading interest rates this could be "my-service-interest-rates". Type here does not refer to file extentions or MIME types.